/*
 * $Id: Parameters_msg_error.cpp 113 2009-04-14 18:39:12Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Types.h"
#include "Behavioural/Generic/Comparator/include/Parameters.h"
#include <sstream>

namespace morpheo                    {
namespace behavioural {
namespace generic {
namespace comparator {


#undef  FUNCTION
#define FUNCTION "Comparator::msg_error"
  Parameters_test Parameters::msg_error(void)
  {
    log_begin(Comparator,FUNCTION);

    Parameters_test test ("Comparator");

    if (_size_data > 64)
      test.error(_("Max size is 64 bits.\n"));

    log_end(Comparator,FUNCTION);

    return test;
  };

}; // end namespace comparator
}; // end namespace generic

}; // end namespace behavioural
}; // end namespace morpheo              
